Name:          python-pypdf2
Version:       2.5.0
Release:       1mamba
Summary:       PDF toolkit
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypdf2.readthedocs.io/en/latest/
Source:        https://pypi.debian.net/PyPDF2/PyPDF2-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(typing-extensions)
## AUTOBUILDREQ-END
BuildArch:     noarch

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n PyPDF2-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/PyPDF2-%{version}-py*.egg-info
%{python_sitearch}/PyPDF2-%{version}-py*.egg-info/*
%doc LICENSE

%changelog
* Sun Jul 10 2022 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic version update by autodist

* Thu Jul 07 2022 Automatic Build System <autodist@mambasoft.it> 2.4.2-1mamba
- automatic version update by autodist

* Thu Jun 30 2022 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Mon Jun 27 2022 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic version update by autodist

* Mon Jun 20 2022 Automatic Build System <autodist@mambasoft.it> 2.3.1-1mamba
- automatic version update by autodist

* Sat Jun 18 2022 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic version update by autodist

* Tue Jun 14 2022 Automatic Build System <autodist@mambasoft.it> 2.2.0-1mamba
- automatic version update by autodist

* Mon Jun 13 2022 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Tue Jun 07 2022 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic version update by autodist

* Thu Jun 02 2022 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Mon May 30 2022 Automatic Build System <autodist@mambasoft.it> 1.28.4-1mamba
- automatic version update by autodist

* Sun May 29 2022 Automatic Build System <autodist@mambasoft.it> 1.28.3-1mamba
- automatic version update by autodist

* Mon May 23 2022 Automatic Build System <autodist@mambasoft.it> 1.28.2-1mamba
- automatic version update by autodist

* Mon May 23 2022 Automatic Build System <autodist@mambasoft.it> 1.28.1-1mamba
- automatic version update by autodist

* Mon May 23 2022 Automatic Build System <autodist@mambasoft.it> 1.28.0-1mamba
- automatic version update by autodist

* Wed May 04 2022 Automatic Build System <autodist@mambasoft.it> 1.27.12-1mamba
- automatic version update by autodist

* Tue May 03 2022 Automatic Build System <autodist@mambasoft.it> 1.27.11-1mamba
- automatic version update by autodist

* Sun May 01 2022 Automatic Build System <autodist@mambasoft.it> 1.27.10-1mamba
- automatic version update by autodist

* Sun Apr 24 2022 Automatic Build System <autodist@mambasoft.it> 1.27.9-1mamba
- automatic version update by autodist

* Sat Apr 23 2022 Automatic Build System <autodist@mambasoft.it> 1.27.8-1mamba
- automatic version update by autodist

* Wed Apr 20 2022 Automatic Build System <autodist@mambasoft.it> 1.27.7-1mamba
- automatic version update by autodist

* Mon Apr 18 2022 Automatic Build System <autodist@mambasoft.it> 1.27.6-1mamba
- automatic version update by autodist

* Sun Apr 17 2022 Automatic Build System <autodist@mambasoft.it> 1.27.5-1mamba
- automatic version update by autodist

* Sat Apr 16 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.27.4-1mamba
- update to 1.27.4

* Wed Aug 31 2016 Automatic Build System <autodist@mambasoft.it> 1.26.0-1mamba
- automatic update by autodist

* Tue Jun 09 2015 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.24-1mamba
- package created using the webbuild interface
